prog:
	g++ -E exercise_02_16.cpp -o exercise_02_16.ii
	g++ -S exercise_02_16.ii  -o exercise_02_16.s
	g++ -c exercise_02_16.s   -o exercise_02_16.o
	g++    exercise_02_16.o   -o exercise_02_16
	echo   exercise_02_16 > .gitignore

clean:
	rm exercise_02_16.ii exercise_02_16.s exercise_02_16.o exercise_02_16 .gitignore

test:
	./exercise_02_16
